<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class iElection
{
    private static $_allowMonth = array(2,4,6,8,10,12);

    private static $_allowApplyDate = array(1,2,3,4,5);

    public static function isAllowApply($month, $date)
    {
        return (in_array($month, self::$_allowMonth) && in_array($date, self::$_allowApplyDate)) ? true : false;
    }

    public static function isAllowMonth($mont)
    {
        return in_array($mont, self::$_allowMonth);
    }

    public static function isAllowVote($month, $date)
    {
        return (in_array($month, self::$_allowMonth) && !in_array($date, self::$_allowApplyDate)) ? true : false;
    }
}